Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale
Interface LocaleConverter

All Superinterfaces:
  Converter

All Known Implementing Classes:
  BaseLocaleConverter, BigDecimalLocaleConverter, BigIntegerLocaleConverter, ByteLocaleConverter, DateLocaleConverter, DecimalLocaleConverter, DoubleLocaleConverter, FloatLocaleConverter, IntegerLocaleConverter, LongLocaleConverter, ShortLocaleConverter, SqlDateLocaleConverter, SqlTimeLocaleConverter, SqlTimestampLocaleConverter, StringLocaleConverter

    public interface LocaleConverter

extends Converter

General purpose locale-sensitive data type converter that can be registered and used within the BeanUtils package to manage the conversion of objects from one type to another.

Author:
  Yauheny Mikulski

Method Summary
`Object` | `convert(Class type, Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

Methods inherited from interface org.apache.commons.beanutils.Converter
`convert`

Method Detail

### convert

    Object convert(Class type,
                   Object value,
                   String pattern)

  Convert the specified locale-sensitive input object into an output object of the specified type.

  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
    `pattern` - The user-defined pattern is used for the input object formatting.
  Returns:
    The converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.